
QGIS Application - Bug report #3933

point symbols not showing up on vector layers

2006-03-28 07:51 AM - anna-kitenet-net -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13957

Description

I recently upgraded my kernel, possibly upgrading qgis in the process.  Point symbols were appearing fine before the upgrade.  After the

upgrade, I started having the following problem:

I wanted to create a new point vector layer.  I did so, then started editing, chose "capture points" from the menu bar, and clicked on the

map to make a point.  I filled in the attributes and clicked "OK."  A point showed up on my map as it should.  Then I stopped editting, chose

"yes" when it asked me if I wanted to save changes, and my point disappeared from the map.

I can open the attribute table and see my values filled in --- the point does exist.  But the points won't show up on the map.  When I save

the project and reopen it, the point symbols still don't show up on the map.  On the left side of the screen, where the titles of all of my

layers show up, my problem layer's title shows up but has no symbol beside it.  When I go to "Layer Properties" for the problem layer, I

don't get a choice of different point symbols the way I usually do --- the only choice is the standard circle.

History

#1 - 2006-03-30 06:50 AM - balazovic-mailbox-sk -

What is the version of your GDAL/OGR library (run gdal-info to find out this)?

The problem you've described appears only in QGIS built against GDAL 1.3.0 or higher, in older version creating new point layers works fine. The simplest

solution is to build your QGIS against GDAL 1.2.6.

Btw. some additional info about this bug is (was) in old Bugtacker

#2 - 2006-04-06 06:15 AM - anna-kitenet-net -

I'm using gdal version 1.3.1.

#3 - 2006-05-09 05:31 PM - anonymous -

Confirmed in 0.8 HEAD

#4 - 2006-05-14 07:29 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This seems to be fixed in gdal1.3.2. In version 1.3.0 and 1.3.1, the OGRLayer returns the points as threedimensional points.
Reopen this bug if you still have problems after upgrading

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
